----------------------------------------------
-- InterestingBox.lua
-- by Lygin Gennady a.k.a Croc 27.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                               
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local InterestingFrameWidth, InterestingFrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
InterestingBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

InterestingButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Int."))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(InterestingBox,0,0,0,0) 

InterestingCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 10)
        :text("")
        :movable(false)
        :active(true)  
        :attach(InterestingBox, 20, 0, 0, 0)

InterestingBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    InterestingButton.Visible = GuidesVisibility -- display or undisplay Button
    InterestingCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if InterestingCheck.Text ==  "o" then
		InterestingFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

InterestingButton.Action = (function()
        return
            function()
              display_Interesting= not display_Interesting
                if display_Interesting then 
                    actual_renderflags = celestia:getrenderflags()
                    InterestingFrame.Visible = true                     
                    InterestingCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol/2019-04-09T23:15:39.64790?x=AEDrxqKrR6cF&y=AIBNUrPnco0E&z=AFBCDXdpY83+/////////w&ow=0.596321&ox=0.210386&oy=-0.732898&oz=-0.250997&select=Sol&fov=40&ts=100000&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setorbitflags{Star = true}					
                    celestia:setstarstyle("point")
                    celestia:show("planets") -- планеты 
					celestia:setrenderflags{orbits = true}
					celestia:showlabel("planets")  -- планеты	
                else                    
                    InterestingFrame.Visible = false                   
                    InterestingCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol/2019-04-09T23:15:39.64790?x=AEDrxqKrR6cF&y=AIBNUrPnco0E&z=AFBCDXdpY83+/////////w&ow=0.596321&ox=0.210386&oy=-0.732898&oz=-0.250997&select=Sol&fov=40&ts=100000&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setorbitflags{Star = true}					
                    celestia:setstarstyle("point") 
                    celestia:show("planets") -- планеты 
					celestia:setrenderflags{orbits = true}
					celestia:showlabel("planets")  -- планеты          
                end
            end
        end) ()
-------------------------------------------------------------
InterestingFrame = CXBox:new()
    :init(0, 0, 0, 0)
   -- :bordercolor(cbubordoff)
    :bordercolor({0,0.4,1,1})
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-InterestingFrameWidth)/2, height-InterestingFrameHeight-2, (width-InterestingFrameWidth)/2, 2)

 InterestingFrame.Customdraw = function(this)

            if Interesting_firstTickDone then
            if not(InterestingCloseButtonDone) then
                InterestingCloseButtonDone = true
                makeCloseButton(InterestingCloseButton, InterestingFrame, InterestingButton)
            end
            else
                Interesting_firstTickDone = true            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height           
                if height>=768  then 
                    InterestingFrame:attach(screenBox, width-InterestingFrameWidth-36, height-InterestingFrameHeight-128-27, 36, 128+27) 
                else
                    InterestingFrame:attach(screenBox, width-InterestingFrameWidth-200, height-InterestingFrameHeight-3, 200, 3) 
                end                   
            end
          
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,1,0.8}) 
	    textlayout:setpos(this.lb+15, this.tb - 14)       
            textlayout:println(_("  Intesting OBJECTS"))
end

--=====================
-- Подключение команд 
--=====================
Interesting011Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)  
    :textcolor({1,1,0,.8}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Duplex system Mira:"))
    :movable(false)
    :active(false) 
    :attach(InterestingFrame, 2, 2+14*(gg-1), 2, 5+14*1)
-----------------------------------------
Interesting021Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont)
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("barycenter Mira"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-2), 2, 5+14*2)

 Interesting021Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Mira")
            celestia:select(obj)
            obs:follow(obj) 
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(2500)
            radians = math.rad(25)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting032Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont)
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("Mira A"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-3), 86, 5+14*3)

Interesting032Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Mira A")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(5000)
            radians = math.rad(15)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting033Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont)
    :textcolor(color0)
    :textpos("center")     
    :movetext(-3, 9)
    :text(_("Mira B"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 86, 2+14*(gg-3), 2, 5+14*3)

Interesting033Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Mira B")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj)
           -- obs:goto(obj)
            celestia:settimescale(250)
            radians = math.rad(20)
            obs:setfov(radians) 
        end
    end) ()
--=====================
Interesting051Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)
    :textcolor({1,1,0,.8}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Duplex system J0806:"))
    :movable(false)
    :active(false) 
    :attach(InterestingFrame, 2, 2+14*(gg-4), 2, 5+14*4)
-----------------------------------------
Interesting061Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("barycenter J0806"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-5), 2, 5+14*5)

 Interesting061Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("J0806")
            celestia:select(obj)
            obs:follow(obj) 
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(10)
            radians = math.rad(80)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting072Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont)  
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("J0806 A"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-6), 86, 5+14*6)

Interesting072Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("J0806 A")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
          --  obs:goto(obj)
            celestia:settimescale(5)
            radians = math.rad(20)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting073Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont)  
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("J0806 B"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 86, 2+14*(gg-6), 2, 5+14*6)

Interesting073Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("J0806 B")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj)
          --  obs:goto(obj) 
            celestia:settimescale(5)
            radians = math.rad(30)
            obs:setfov(radians)
        end
    end) ()
--=====================
Interesting08Box = CXBox:new()
    :init(0, 0, 0, 0)
   -- :bordercolor(cbubordoff)      
    --:fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)
    :textcolor({1,1,0,.8}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Duplex system Cygnus X-1:"))
    :movable(false)
    :active(false) 
    :attach(InterestingFrame, 2, 2+14*(gg-7), 2, 5+14*7)
---------------------------------------
Interesting09Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})     
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)
    :textcolor(cbutextoff) 
    :textpos("center")   
    :movetext(-3, 9)
    :text(_("Blue s/giant HD 226868"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-8), 2, 5+14*8)

Interesting09Box.Action = (function()
    return
        function()
            local obj = celestia:find("HD 226868")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
----------------------------------------
Interesting10Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,.5,.8})
    :textfont(smallfont) 
    :textcolor(cbutextoff) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("Black hole Cygnus X-1"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-9), 2, 5+14*9)

Interesting10Box.Action = (function()
    return
        function()
            local obj = celestia:find("Cygnus X-1")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obs:follow(sel)
               obs:center(obj)
               obs:goto(sel)
            celestia:settimescale(1)
            radians = math.rad(2)
            obs:setfov(radians)
            end      
        end
    end) ()
--====================
Interesting110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)
    :textcolor({1,1,0,.8}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Double melon imaginative stars:"))
    :movable(false)
    :active(false) 
    :attach(InterestingFrame, 2, 2+14*(gg-10), 2, 5+14*10)
--====================
Interesting111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(cbutextoff) 
    :textpos("center")  
    :movetext(-3, 9)
    :text(_("**W UMa"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-11), 86, 5+14*11)

Interesting111Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("W UMa")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(1000)
            radians = math.rad(120)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(cbutextoff) 
    :textpos("center")     
    :movetext(-3, 9)
    :text(_("**AO Cas"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 86, 2+14*(gg-11), 2, 5+14*11)

Interesting112Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("AO Cas")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(2000)
            radians = math.rad(120)
            obs:setfov(radians)
        end
    end) ()
--====================
Interesting120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)
    :textcolor({1,1,0,.8}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Three pulsar Martin Charest:"))
    :movable(false)
    :active(false) 
    :attach(InterestingFrame, 2, 2+14*(gg-12), 2, 5+14*12)
--------------------------------------
Interesting131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(cbutextoff) 
    :textpos("center")  
    :movetext(-3, 9)
    :text(_("**PSR J0737.."))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-13), 86, 5+14*13)

Interesting131Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("PSR J0737-3039 AB")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(200)
            radians = math.rad(40)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")     
    :movetext(-3, 9)
    :text(_("PSR J1210.."))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 86, 2+14*(gg-13), 2, 5+14*13)

Interesting132Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("PSR J1210-6550")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(0.1)
            radians = math.rad(120)
            obs:setfov(radians)
        end
    end) ()
--------------------------------------
Interesting141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")  
    :movetext(-3, 9)
    :text(_("PSR J0737..A"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-14), 86, 5+14*14)

Interesting141Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("PSR J0737-3039A")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(0.001)
            radians = math.rad(120)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting142Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")     
    :movetext(-3, 9)
    :text(_("PSR J0737..B"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 86, 2+14*(gg-14), 2, 5+14*14)

Interesting142Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("PSR J0737-3039B")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(0.1)
            radians = math.rad(120)
            obs:setfov(radians)
        end
    end) ()
--====================
Interesting150Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)
    :textcolor({1,1,0,.8}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("4-fold system KIC 4862625:"))
    :movable(false)
    :active(false) 
    :attach(InterestingFrame, 2, 2+14*(gg-15), 2, 5+14*15)
--====================
Interesting161Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(cbutextoff) 
    :textpos("center")  
    :movetext(-3, 9)
    :text(_("**A-b"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-16), 86, 5+14*16)

Interesting161Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("KIC 4862625 A-b")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(100000)
            radians = math.rad(120)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting162Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(cbutextoff) 
    :textpos("center")     
    :movetext(-3, 9)
    :text(_("**Ba-Bb"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 86, 2+14*(gg-16), 2, 5+14*16)

Interesting162Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("KIC 4862625 Ba-Bb")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(200000000)
            radians = math.rad(60)
            obs:setfov(radians)
        end
    end) ()
--====================
Interesting171Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")  
    :movetext(-3, 9)
    :text(_("Aa"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-17), 86, 5+14*17)

Interesting171Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("KIC 4862625 Aa")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(100000)
            radians = math.rad(120)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting172Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")     
    :movetext(-3, 9)
    :text(_("Ba"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 86, 2+14*(gg-17), 2, 5+14*17)

Interesting172Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("KIC 4862625 Ba")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(100000000)
            radians = math.rad(120)
            obs:setfov(radians)
        end
    end) ()
--====================
Interesting181Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")  
    :movetext(-3, 9)
    :text(_("Ab"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-18), 86, 5+14*18)

Interesting181Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("KIC 4862625 Ab")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(50000)
            radians = math.rad(120)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting182Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")     
    :movetext(-3, 9)
    :text(_("Bb"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 86, 2+14*(gg-18), 2, 5+14*18)

Interesting182Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("KIC 4862625 Bb")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(100000000)
            radians = math.rad(120)
            obs:setfov(radians)
        end
    end) ()
--====================
Interesting19Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont) 
    :textcolor({1,1,0,.8}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("6-fold system Mizar-Alcor:"))
    :movable(false)
    :active(false) 
    :attach(InterestingFrame, 2, 2+14*(gg-19), 2, 5+14*19)
---------------------------------------
Interesting20Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("barycenter Mizar"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-20), 2, 5+14*20)

 Interesting20Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Mizar")
            celestia:select(obj)
            obs:follow(obj) 
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(2500000000)
            radians = math.rad(30)
            obs:setfov(radians)
        end
    end) ()
---------------------------------------
Interesting21Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("barycenter Mizar A"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-21), 2, 5+14*21)

Interesting21Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Mizar A")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(100000)
            radians = math.rad(20)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")  
    :movetext(-3, 9)
    :text(_("Mizar Aa"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-22), 86, 5+14*22)

Interesting221Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Mizar Aa")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
           -- obs:goto(obj)
            celestia:settimescale(4000)
            radians = math.rad(5)
            obs:setfov(radians)
        end
    end) ()
----------------------------------------
Interesting222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")     
    :movetext(-3, 9)
    :text(_("Mizar Ab"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 86, 2+14*(gg-22), 2, 5+14*22)

Interesting222Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Mizar Ab")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
          --  obs:goto(obj)
            celestia:settimescale(2000)
            radians = math.rad(5)
            obs:setfov(radians)
        end
    end) ()
----------------------------------------
Interesting23Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("barycenter Mizar B"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-23), 2, 5+14*23)

Interesting23Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Mizar B")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj)
            obs:goto(obj) 
            celestia:settimescale(100000)
            radians = math.rad(30)
            obs:setfov(radians)
        end
    end) ()
----------------------------------------
Interesting241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")   
    :movetext(-3, 9)
    :text(_("Mizar Ba"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-24), 86, 5+14*24)

Interesting241Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Mizar Ba")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj)
           -- obs:goto(obj) 
            celestia:settimescale(2000)
            radians = math.rad(1)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting242Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")     
    :movetext(-3, 9)
    :text(_("Mizar Bb"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 86, 2+14*(gg-24), 2, 5+14*24)

Interesting242Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Mizar Bb")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj)
          --  obs:goto(obj) 
            celestia:settimescale(2000)
            radians = math.rad(1)
            obs:setfov(radians)
        end
    end) ()
--====================
Interesting25Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(cbutextoff)
    :textpos("center")   
    :movetext(-3, 9)
    :text(_("barycenter Alcor"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-25), 2, 5+14*25)

 Interesting25Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Alcor")
            celestia:select(obj)
            obs:follow(obj) 
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(20000000)
            radians = math.rad(45)
            obs:setfov(radians)
        end
    end) ()
----------------------------------------
Interesting261Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("Alcor A"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-26), 86, 5+14*26)

Interesting261Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Alcor A")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(1000)
            radians = math.rad(5)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting262Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("Alcor B"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 86, 2+14*(gg-26), 2, 5+14*26)

Interesting262Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Alcor B")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj)
            obs:goto(obj) 
            celestia:settimescale(10000)
            radians = math.rad(5)
            obs:setfov(radians)
        end
    end) ()
--=====================
Interesting27Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({1,1,0,.8}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("6-fold system Castor:"))
    :movable(false)
    :active(false) 
    :attach(InterestingFrame,  2, 2+14*(gg-27), 2, 5+14*27)
---------------------------------------
Interesting28Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont)   
    :textcolor(cbutextoff)
    :textpos("center")      
    :movetext(-3, 9)
    :text(_("barycenter Castor"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-28), 2, 5+14*28)

 Interesting28Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Castor")
            celestia:select(obj)
            obs:follow(obj) 
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(10000000000)
            radians = math.rad(25)
            obs:setfov(radians)
        end
    end) ()
---------------------------------------
Interesting29Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont)    
    :textcolor(cbutextoff)
    :textpos("center")      
    :movetext(-3, 9)
    :text(_("barycenter Castor A"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-29), 2, 5+14*29)

 Interesting29Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Castor A")
            celestia:select(obj)
            obs:follow(obj) 
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(50000)
            radians = math.rad(30)
            obs:setfov(radians)
        end
    end) ()
----------------------------------------
Interesting301Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")      
    :movetext(-3, 9)
    :text(_("Castor Aa"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-30), 86, 5+14*30)

 Interesting301Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Castor Aa")
            celestia:select(obj)
            obs:follow(obj) 
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(10000)
            radians = math.rad(45)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")     
    :movetext(-3, 9)
    :text(_("Castor Ab"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 86, 2+14*(gg-30), 2, 5+14*30)

 Interesting302Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Castor Ab")
            celestia:select(obj)
            obs:follow(obj) 
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(20000)
            radians = math.rad(45)
            obs:setfov(radians)
        end
    end) ()
---------------------------------------
Interesting31Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("center")      
    :movetext(-3, 9)
    :text(_("barycenter Castor B"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-31), 2, 5+14*31)

Interesting31Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Castor B")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
            obs:goto(obj)
            celestia:settimescale(5000)
            radians = math.rad(45)
            obs:setfov(radians)
        end
    end) ()
----------------------------------------
Interesting321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")      
    :movetext(-3, 9)
    :text(_("Castor Ba"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 2, 2+14*(gg-32), 86, 5+14*32)

Interesting321Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Castor Ba")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
          --  obs:goto(obj)
            celestia:settimescale(5000)
            radians = math.rad(45)
            obs:setfov(radians)
        end
    end) ()
----------------------------------------
Interesting322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")     
    :movetext(-3, 9)
    :text(_("Castor Bb"))
    :movable(false)
    :active(true)     
    :attach(InterestingFrame, 86, 2+14*(gg-32), 2, 5+14*32)

Interesting322Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Castor Bb")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj) 
           -- obs:goto(obj)
            celestia:settimescale(5000)
            radians = math.rad(45)
            obs:setfov(radians)
        end
    end) ()
---------------------------------------
Interesting33Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont)   
    :textcolor(cbutextoff)
    :textpos("center")      
    :movetext(-3, 9)
    :text(_("barycenter Castor C"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-33), 2, 5+14*33)

Interesting33Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Castor C")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj)
            obs:goto(obj) 
            celestia:settimescale(1000)
            radians = math.rad(45)
            obs:setfov(radians)
        end
    end) ()
----------------------------------------
Interesting341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")     
    :movetext(-3, 9)
    :text(_("Castor Ca"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-34), 86, 5+14*34)

Interesting341Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Castor Ca")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj)
          --  obs:goto(obj) 
            celestia:settimescale(1000)
            radians = math.rad(45)
            obs:setfov(radians)
        end
    end) ()
-----------------------------------------
Interesting342Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(normalfont) 
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("Castor Cb"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 86, 2+14*(gg-34), 2, 5+14*34)

Interesting342Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Castor Cb")
            celestia:select(obj)
            obs:follow(obj)          
            obs:center(obj)
           -- obs:goto(obj) 
            celestia:settimescale(500)
            radians = math.rad(45)
            obs:setfov(radians)
        end
    end) ()
--====================
Interesting35Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({1,1,0,.8}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Shoemaker - Levy 9 (D/1993 F2 -"))
    :movable(false)
    :active(false) 
    :attach(InterestingFrame,  2, 2+14*(gg-35), 2, 5+14*35)
---------------------------------------
Interesting36Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({1,1,0,.8}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("comet that fell to Jupiter:"))
    :movable(false)
    :active(false) 
    :attach(InterestingFrame,  2, 2+14*(gg-36), 2, 5+14*36)
--=====================
Interesting371Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)   
    :textcolor(color0)
    :textpos("center")   
    :movetext(-3, 10)
    :text(_("1993 F2-A"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-37), 170-13*4-5, 5+14*37)

 Interesting371Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-A")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 03, 24, 02, 59, 01)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
--=====================
Interesting372Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)   
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("B"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*4+5, 2+14*(gg-37), 170-13*5-5, 5+14*37)

 Interesting372Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-B")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
-----------------------------------------
Interesting373Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)     
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_(" C"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*5+5, 2+14*(gg-37), 170-13*6-5, 5+14*37)

 Interesting373Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-C")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
--=====================
Interesting377Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)     
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("D"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*6+9, 2+14*(gg-37), 170-13*7-9, 5+14*37)

 Interesting377Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-D")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
-----------------------------------------
Interesting378Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)     
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_(" E "))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*7+9, 2+14*(gg-37), 170-13*8-9, 5+14*37)

 Interesting378Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-E")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
-----------------------------------------
Interesting379Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)     
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("F"))
    :movable(false)
    :active(true) 
     :attach(InterestingFrame, 13*8+9, 2+14*(gg-37), 170-13*9-9, 5+14*37)

 Interesting379Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-F")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
------------------------------------------
Interesting3710Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)    
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("G"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*9+12, 2+14*(gg-37), 170-13*10-12, 5+14*37)

 Interesting3710Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-G")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
------------------------------------------
Interesting3711Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)    
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("H"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*10+12, 2+14*(gg-37), 170-13*11-12, 5+14*37)

 Interesting3711Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-H")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
------------------------------------------
Interesting3712Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)     
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("K"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*11+12, 2+14*(gg-37), 170-13*12-12, 5+14*37)

 Interesting3712Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-K")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
--=====================
Interesting381Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)   
    :textcolor(color0)
    :textpos("left")   
    :movetext(-1, 9)
    :text(_("L"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-38), 170-13*1-2, 5+14*38)

 Interesting381Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-L")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
----------------------------------------
Interesting382Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)     
    :textcolor(color0)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(" N "))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*1+2, 2+14*(gg-38), 170-13*2-2, 5+14*38)

 Interesting382Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-N")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
-----------------------------------------
Interesting383Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)   
    :textcolor(color0)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("p1"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*2+2, 2+14*(gg-38), 170-13*3-2, 5+14*38)

 Interesting383Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-P1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
----------------------------------------
Interesting384Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)   
    :textcolor(color0)
    :textpos("center")     
    :movetext(-3, 10)
    :text(_("q1"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*3+5, 2+14*(gg-38), 170-13*4-5, 5+14*38)

 Interesting384Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-Q1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
----------------------------------------
Interesting385Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)     
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("R"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*4+5, 2+14*(gg-38), 170-13*5-5, 5+14*38)

 Interesting385Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-R")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
-----------------------------------------
Interesting386Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)     
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_(" S "))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*5+5, 2+14*(gg-38), 170-13*6-5, 5+14*38)

 Interesting386Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-S")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
-----------------------------------------
Interesting387Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)      
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("T"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*6+9, 2+14*(gg-38), 170-13*7-9, 5+14*38)

 Interesting387Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-T")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
-----------------------------------------
Interesting388Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)      
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("U"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*7+9, 2+14*(gg-38), 170-13*8-9, 5+14*38)

 Interesting388Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-U")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
----------------------------------------
Interesting389Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)    
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("V"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*8+9, 2+14*(gg-38), 170-13*9-9, 5+14*38)

 Interesting389Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-V")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
------------------------------------------
Interesting3810Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)     
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_(" W "))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*9+12, 2+14*(gg-38), 170-13*10-12, 5+14*38)

 Interesting3810Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-W")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
------------------------------------------
Interesting3811Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)   
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("p2"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*10+12, 2+14*(gg-38), 170-13*11-12, 5+14*38)

 Interesting3811Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-P2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
------------------------------------------
Interesting3812Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.4,1,1})
    :fillcolor({0,0,0.5,0.8})
    :textfont(smallfont)   
    :textcolor(color0)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("q2"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 13*11+12, 2+14*(gg-38), 170-13*12-12, 5+14*38)

 Interesting3812Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("sol/jupiter/1993 F2-W")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
            celestia:settimescale(1)
        end
    end) ()
--=====================
Interesting391Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)  
    :textcolor({1,1,0,.8}) 
    :textpos("center")    
    :movetext(10, 10)
    :text(_("Attention! Pressing the closer"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-39), 2, 5+14*39)
-----------------------------------------
Interesting401Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)  
    :textcolor({1,1,0,.8})  
    :textpos("center")    
    :movetext(10, 10)
    :text(_("object. Sometimes need more"))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-40), 2, 5+14*40)
-----------------------------------------
Interesting411Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})  
    :textpos("center")    
    :movetext(10, 10)
    :text(_("than 2 clicks..."))
    :movable(false)
    :active(true) 
    :attach(InterestingFrame, 2, 2+14*(gg-41), 2, 5+14*41)

